<?php
/**
 * @version		$Id: helper.php 96 2011-08-11 06:59:32Z michel $
 * @copyright	Copyright (C) 2013 Open Source Matters, Inc. All rights reserved.
 * @license		
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class modEdocmanTagsHelper
{
    static public function getItem($params) {
    	$documentIds = self::getDocumentIds($params);
    	$documentIds = implode(',',$documentIds);
    	
    	$db = JFactory::getDbo();
    	$query = $db->getQuery(true);
    	$query->select('DISTINCT b.tag')
    		  ->from('#__edocman_document_tags AS a')
    		  ->leftJoin('#__edocman_tags AS b ON b.id = a.tag_id')
    		  ->where('a.document_id IN ('.$documentIds.')')
    		  ->order('b.tag')
    		  
    	;
    	$db->setQuery($query);
    	return $db->loadColumn();
    }
    
    static public function getDocumentIds($params)
    {
    	$categoryIds = $params->get('category_ids');
    	$db = JFactory::getDbo();
    	$query = $db->getQuery(true);
    	$query->select('a.id')
    		  ->from('#__edocman_documents AS a')
    		  ->innerJoin('#__edocman_document_category AS b ON a.id = b.document_id')
    		  ->where('a.published=1')
    	;
    	if ($categoryIds)
    	{
    		$query->where('b.category_id IN ('.$categoryIds.')');
    	}
    	$db->setQuery($query);
    	return $db->loadColumn();
    }
    
}